<div class="row">
	<form class="form-horizontal">
		<div class="panel blank-panel">
			<div class="panel-body">
				<div class="form-group">
					<div class="col-md-4">
						<label class="col-xs-6">Productos:</label>
						<div class="col-xs-6">
							<select id="catalogo-option-tipo">
								<option value="0">Todos</option>
								<option value="1">Por linea</option>
							</select>
						</div>
					</div>
				</div>
				<div id="catalogo-option-linea" class="form-group" style="visibility:hidden;height:0px;">
					<div class="col-md-6">
						<label class="col-xs-3">Grupo:</label>
						<div class="col-xs-9">
							<select id="catalogo-option-grupo" style="width:100%" data-placeholder="Seleccione un grupo...">
								<option value=""></option>
								<?php if(count($grupos) > 0 && isset($grupos)):foreach($grupos as $grupo):?>
									<option value="<?php echo  $grupo->id_grupo;?>"><?php echo  $grupo->nombre_grupo;?></option>
								<?php endforeach;endif;?>
							</select>
						</div>
					</div>
					<div class="col-md-6">
						<label class="col-xs-4">Subgrupo:</label>
						<div class="col-xs-8">
							<select  id="catalogo-option-subgrupo" style="width:100%" data-placeholder="Seleccione un subgrupo...">
								<option value=""></option>
							</select>
						</div>
					</div>
				</div>
			
				<div class="hr-line-dashed"></div>
				<div class="form-group">
					<div class="col-md-4">
						<p>
							<label> <input type="checkbox" class="i-checks" id="catalogo-sku" checked> SKU</label>
						</p>
						 <p>
							<label> <input type="checkbox" class="i-checks" id="catalogo-precio1" checked> Precio 1</label>
						</p>
						 <p>
							<label> <input type="checkbox" class="i-checks" id="catalogo-grupo"> Grupo</label>
						</p>
					</div>
					<div class="col-md-4">
						<p>
							<label> <input type="checkbox" class="i-checks" disabled checked> Nombre producto</label>
						 </p>
						 <p>
							<label> <input type="checkbox" class="i-checks" id="catalogo-precio2"> Precio 2</label>
						 </p>
						 <p>
							<label> <input type="checkbox" class="i-checks" id="catalogo-subgrupo"> Sub grupo</label>
						</p>
					</div>
					<div class="col-md-4">
						<p>
							<label> <input type="checkbox" class="i-checks" id="catalogo-imagen" checked> Imagen</label>
						 </p>
						<p>
							<label> <input type="checkbox" class="i-checks" id="catalogo-precio3"> Precio 3</label>
						</p>
						<p>
							<label> <input type="checkbox" class="i-checks" id="catalogo-info"> Informacion</label>
						</p>
					</div>
				</div>
				<div class="form-group" style="text-align:center;">
					<a href="javascript:void(0)" class="btn btn-info" id="send-report" target="_blank">Construir reporte</a>
				</div>
			</div>
		</div>
	</form>
</div>
<script>
	$(document).ready(function () {
		$('.i-checks').iCheck({
			checkboxClass: 'icheckbox_square-green',
			radioClass: 'iradio_square-green',
		});
		$("#send-report").on("click",function(e){
			var valid = false;
			var mode = $("#catalogo-option-tipo").val();
			var byGroup = 0;
			var bySubGroup = 0;
			var groupname = 0;
			var subgroupname = 0;
			var precio1 = 0;
			var precio2 = 0;
			var precio3 = 0;
			var sku = 0;
			var imagen = 0;
			var informacion = 0;
			
			
			if($("#catalogo-option-grupo").val() != ""){
				groupname = 1;
				byGroup = $("#catalogo-option-grupo").val();
			}else{
				if($("#catalogo-grupo").is(":checked")){
					groupname = 1;
				}
			}
			
			if($("#catalogo-option-subgrupo").val() != ""){
				subgroupname = 1;
				bySubGroup = $("#catalogo-option-subgrupo").val();
			}else{
				if($("#catalogo-subgrupo").is(":checked")){
					subgroupname = 1;
				}
			}
			
			if($("#catalogo-sku").is(":checked")){
				sku = 1;
			}
			if($("#catalogo-precio1").is(":checked")){
				precio1 = 1;
			}
			if($("#catalogo-precio2").is(":checked")){
				precio2 = 1;
			}
			if($("#catalogo-precio3").is(":checked")){
				precio3 = 1;
			}
			if($("#catalogo-imagen").is(":checked")){
				imagen = 1;
			}
			if($("#catalogo-info").is(":checked")){
				informacion = 1;
			}
			
			if(mode == 1 && $("#catalogo-option-grupo").val() == ""){
				swal({
					title: 'Generar Catalogo',
					text: 'Ha seleccionado el modo de generar por Linea pero no ha seleccionado ningun Grupo<br>&iquest;Deseas generar el Reporte de todos modos?',
					html: true,
					type: 'warning',
					showCancelButton: true,
					confirmButtonColor: '#3C8DBC',
					confirmButtonText: 'Si, generar reporte',
					cancelButtonText: 'No generar nada'
				},
				function() {
					window.open("<?php echo base_url("reportes/reporte_inventario_catalogo");?>?mode="+mode+"&bygroup="+byGroup+"&groupname="+groupname+"&bysubgroup="+bySubGroup+"&subgroupname="+subgroupname+"&sku="+sku+"&imagen="+imagen+"&precio1="+precio1+"&precio2="+precio2+"&precio3="+precio3+"&informacion="+informacion,'_blank');
				});
			}else{
				valid = true;
			}
			
			$(this).attr("href","<?php echo base_url("reportes/reporte_inventario_catalogo");?>?mode="+mode+"&bygroup="+byGroup+"&groupname="+groupname+"&bysubgroup="+bySubGroup+"&subgroupname="+subgroupname+"&sku="+sku+"&imagen="+imagen+"&precio1="+precio1+"&precio2="+precio2+"&precio3="+precio3+"&informacion="+informacion);
			
			return valid;
		});
		$("#catalogo-option-grupo").chosen({
			no_results_text: "No se encontro ningun resultado",
			allow_single_deselect: true
		}).change(function(){
			if($(this).val() == ''){
				$('#catalogo-option-subgrupo').find('option').remove().end().append('<option value=""></option>').val('');
				$("#catalogo-grupo,#catalogo-subgrupo").attr("disabled",false);
			}else{
				$("#catalogo-grupo").attr({"disabled":true,"checked":"checked"});
				$('#catalogo-option-subgrupo').find('option').remove().end().append('<option value=""></option>').val('');
				$.getJSON('<?php echo base_url();?>productos/getSubgrupos?id='+$(this).val(), function(data) {
					if(data != 'N'){
						$.each(data, function(i, subgroups) {
							$('#catalogo-option-subgrupo').append('<option value="'+subgroups.id_subgrupo+'">'+subgroups.nombre_subgrupo+'</option>');
							$("#catalogo-option-subgrupo").trigger("chosen:updated");
						});
					}
				});
				setTimeout(function () { $('#catalogo-option-subgrupo').trigger('chosen:open'); }, 100); 
			}
			$("#catalogo-option-subgrupo").trigger("chosen:updated");
			$('.i-checks').iCheck({
				checkboxClass: 'icheckbox_square-green',
				radioClass: 'iradio_square-green',
			});
		});
			
		$("#catalogo-option-subgrupo").chosen({
			no_results_text: "No se encontro ningun resultado",
			allow_single_deselect: true
		}).change(function(){
			if($(this).val() == ''){
				$("#catalogo-subgrupo").attr("disabled",false);
			}else{
				$("#catalogo-subgrupo").attr({"disabled":true,"checked":"checked"});
			}
			$('.i-checks').iCheck({
				checkboxClass: 'icheckbox_square-green',
				radioClass: 'iradio_square-green',
			});
		});
		
		$("#catalogo-option-tipo").change(function(){
			if($(this).val()=='1')
				$("#catalogo-option-linea").css({'visibility':'visible','height':'40px'});
			else
				$("#catalogo-option-linea").css({'visibility':'hidden','height':'0px'});
				$("#catalogo-option-subgrupo,#catalogo-option-grupo").val("").trigger('chosen:updated');
				$("#catalogo-grupo,#catalogo-subgrupo").attr("disabled",false);
				$('.i-checks').iCheck({
					checkboxClass: 'icheckbox_square-green',
					radioClass: 'iradio_square-green',
				});
		})
	});
</script>